Subject: Re: bug#31841: ./pre-inst-env guix system no longer works without ~/.config/guix

From: Mark H Weaver <[email-masked]>
Date: Sat, 16 Jun 2018 04:06:06 -0400

Hi,

[email-masked] writes:

> Based on this thread I am now making guix like this ...
>
> guix environment guix --ad-hoc guile-sqlite3 --root=build-env -- make [MAKECMDGOALS]

Nice.  Somehow I failed to know of the existence of the --root option.

The "--ad-hoc guile-sqlite3" should no longer be needed, although I did
need to add it temporarily during this transition.

> ... and using it like this ...
>
> source build-env/etc/profile
> ./pre-inst-env guix COMMAND ARGS...
>
> ... and I am sure you can predict what I will say next ;-)
>
> How about putting this in the doc?

For what it's worth, I agree that something along these lines would be a
welcome addition to the "Contributing" chapter of the Guix manual,
possibly within the "Running Guix Before It Is Installed" section.

      Mark